## org.w3c.dom.svg
Interface SVGAltGlyphElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, SVGElement, SVGExternalResourcesRequired, SVGLangSpace, SVGStylable, SVGTests, SVGTextContentElement, SVGTextPositioningElement, SVGURIReference

All Known Implementing Classes:
  SVGOMAltGlyphElement

public interface SVGAltGlyphElement
extends SVGTextPositioningElement, SVGURIReference

Field Summary

Fields inherited from interface org.w3c.dom.svg.SVGTextContentElement
`LENGTHADJUST_SPACING, LENGTHADJUST_SPACINGANDGLYPHS, LENGTHADJUST_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getFormat()`
`java.lang.String` `getGlyphRef()`
`void` `setFormat(java.lang.String format)`
`void` `setGlyphRef(java.lang.String glyphRef)`

Methods inherited from interface org.w3c.dom.svg.SVGTextPositioningElement
`getDx, getDy, getRotate, getX, getY`

Methods inherited from interface org.w3c.dom.svg.SVGTextContentElement
`getCharNumAtPosition, getComputedTextLength, getEndPositionOfChar, getExtentOfChar, getLengthAdjust, getNumberOfChars, getRotationOfChar, getStartPositionOfChar, getSubStringLength, getTextLength, selectSubString`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGTests
`getRequiredExtensions, getRequiredFeatures, getSystemLanguage, hasExtension`

Methods inherited from interface org.w3c.dom.svg.SVGLangSpace
`getXMLlang, getXMLspace, setXMLlang, setXMLspace`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Methods inherited from interface org.w3c.dom.svg.SVGURIReference
`getHref`

Method Detail

### getGlyphRef

    public java.lang.String getGlyphRef()

### setGlyphRef

    public void setGlyphRef(java.lang.String glyphRef)
                     throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getFormat

    public java.lang.String getFormat()

### setFormat

    public void setFormat(java.lang.String format)
                   throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.